/* SearchPlacesMatrix.h
 *  
 * Copyright (C) 2004 Free Software Foundation, Inc.
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: March 2004
 *
 * This file is part of the GNUstep Finder application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef SEARCH_PLACES_MATRIX_H
#define SEARCH_PLACES_MATRIX_H

#include <AppKit/NSMatrix.h>

@class SearchPlacesScroll;

@interface SearchPlacesMatrix : NSMatrix
{
  SearchPlacesScroll *scroll;
}

- (id)initWithFrame:(NSRect)frameRect 
               mode:(int)aMode 
          prototype:(NSCell *)aCell 
       numberOfRows:(int)numRows
    numberOfColumns:(int)numColumns
         scrollView:(SearchPlacesScroll *)spscroll;

@end


@interface SearchPlacesMatrix (DraggingDestination)

- (unsigned int)draggingEntered:(id <NSDraggingInfo>)sender;

- (unsigned int)draggingUpdated:(id <NSDraggingInfo>)sender;

- (void)draggingExited:(id <NSDraggingInfo>)sender;

- (BOOL)prepareForDragOperation:(id <NSDraggingInfo>)sender;

- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender;

- (void)concludeDragOperation:(id <NSDraggingInfo>)sender;

@end

#endif // SEARCH_PLACES_MATRIX_H
